package com.ecep.contract.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 节假日表视图对象
 * 
 * @author System
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HolidayTableVo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    private LocalDate id;
    private boolean holiday;
    
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HolidayTableVo that = (HolidayTableVo) o;
        return Objects.equals(id, that.id);
    }
    
    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}